using System.Security.Cryptography;
using IdentityModel;
using IdentityModel.Jwk;
using Base64Url = Jose.Base64Url;

namespace FitConnect.Encryption;

public interface IEncryptor {
    public string Encrypt(string key, string plain);
    public string Decrypt(string key, string cipher);
    public string Encrypt(string key, byte[] plain);
}