using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class SubmissionDto {
    [JsonPropertyName("attachments")]
    public List<string> Attachments;


    [JsonPropertyName("callback")]
    public CallbackDto Callback;


    [JsonPropertyName("caseId")]
    public string CaseId;

    [JsonPropertyName("destinationId")]
    public string DestinationId;


    [JsonPropertyName("encryptedData")]
    public string EncryptedData;


    [JsonPropertyName("encryptedMetadata")]
    public string EncryptedMetadata;


    [JsonPropertyName("serviceType")]
    public ServiceTypeDto ServiceType;


    [JsonPropertyName("submissionId")]
    public string SubmissionId;
}
